> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Update for Assessment

> Post a new update for the assessment



## OpenAPI

````yaml /monolith-v1-openapi.yaml post /v1/assessments/{id}/updates
openapi: 3.0.3
info:
  title: Synack API
  version: 2.0.0
  description: >
    Comprehensive API for Synack's security testing platform, providing
    endpoints for managing assessments, vulnerabilities, users, and security
    testing operations.
  contact:
    name: Synack Engineering
    email: engineering@synack.com
  license:
    name: Proprietary
servers:
  - url: https://api.synack.com
    description: Commercial - V1 API
  - url: https://api.synack.us
    description: FedRAMP (Medium) - V1 API
security:
  - BearerAuth: []
  - BasicAuth: []
  - ApiKeyAuth: []
tags:
  - name: Assessments
    description: Operations related to security assessments
  - name: Tests
    description: Operations related to security tests
  - name: Vulnerabilities
    description: Operations related to security vulnerabilities
  - name: Suspected Vulnerabilities
    description: Operations related to suspected vulnerabilities
  - name: Comments
    description: Operations related to comments
  - name: Patch Verifications
    description: Operations related to patch verifications
  - name: Users
    description: Operations related to users
  - name: Assessment Groups
    description: Operations related to assessment groups
  - name: Tags
    description: Operations related to tags
  - name: Vulnerability Statuses
    description: Operations related to vulnerability statuses
  - name: Listings
    description: Operations related to listings
paths:
  /v1/assessments/{id}/updates:
    post:
      tags:
        - Assessments
      summary: Create new assessment update that is visible to researchers
      description: Post a new update for the assessment
      parameters:
        - name: id
          in: path
          description: UID of the assessment
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                message:
                  type: string
                  description: Message you want to pass to the researchers
                  minLength: 10
              required:
                - message
      responses:
        '201':
          description: Assessment update created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Message of the created update
                  assessment_id:
                    type: string
                    description: ID of the listing the update was created for
                required:
                  - message
                  - assessment_id
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: 0b418fc1-8a6f-4a4d-9638-7e624c41c4cb
        '403':
          description: Forbidden - user does not have permission to update this assessment
          content:
            application/json:
              schema:
                $ref: 0b418fc1-8a6f-4a4d-9638-7e624c41c4cb
        '404':
          description: Assessment not found
          content:
            application/json:
              schema:
                $ref: 0b418fc1-8a6f-4a4d-9638-7e624c41c4cb
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: 0b418fc1-8a6f-4a4d-9638-7e624c41c4cb
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    BasicAuth:
      type: http
      scheme: basic
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Auth

````